//---------------------------------------------------------------------------

#ifndef uEditOptionH
#define uEditOptionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "uEditBase.h"
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TEditOption : public TEditBase
{
__published:	// IDE-managed Components
        TRadioButton *rbOption;
        void __fastcall rbOptionClick(TObject *Sender);
private:	// User declarations
        Variant FCheckedValue;
public:		// User declarations
        __fastcall TEditOption(TComponent* Owner);
        void virtual LoadValue();
        void virtual SaveValue();
        Variant virtual GetValue();
        void virtual SetValue(Variant NewValue);
        __property Variant CheckedValue = {read=FCheckedValue, write=FCheckedValue};
};
//---------------------------------------------------------------------------
extern PACKAGE TEditOption *EditOption;
//---------------------------------------------------------------------------
#endif
